Loading...
Searching...
No Matches
control program for libsphde project

# SYNOPSIS

sasutil [-h] [-v] [-p path] <command> [<args>]

# DESCRIPTION

The sasutil utility is used to control de libsphde share memory segments, showing its internal details (memory state/dump, lock/semaphores details, etc.), memory maps and reseting its internal state.

# OPTIONS

    -v
        Prints the sasutil version.

    -h
        Prints the synopsis and a list of the available commands.

    -p
        Path to wherever libsphde segment is located. This also can be
        controlled by setting SASSTOREPATH environment variable. If not path is
        given, will use the current path.

# COMMANDS

The available commands are: stat, detail, reset, dump, remove, list, path, and map.

    stat
        Shows the overall memory statistics: total in use, total free, total
        uncommited, total region free, total region used, and anchor free space.

    detail
        Shows detailed information, dividing each statistic from stat
        command in memory block information.

    reset
        Resets the anchor semaphore (used to access the control shared memory
        segment), the allocated segments and all internal locks. This command
        is useful to reset the SPHDE state after an process finished with
        unexpected error (like a SEGFAULT).

    dump <address\:size>
        Dumps a list of <memory:size> where <memory> is a memory address in
        hexadecimal and <size> is decimal. The output is similar to
        hexdump utility called with '-C' option.

    remove
        Removed the allocated segments, internal locks and anchor semaphores from
        control shared memory segment).

    list
        List and dump in use shared memory blocks.

    path
        Shows the store path used (as indicated by SASSTOREPATH).

    map <pid>
        Shows the memory map (/proc/<pid>/maps) for PIDs indicates as aguments.
        Default is current process.

# ENVIRONMENT VARIABLES

The sasutil command accepts te following environment variables:

    SASSTOREPATH
        Defines the path to search for the store segment to attach and analyze.

# AUTHOR

Written by Steven Munroe (initial API and implementation) and Adhemerval Zanella (bugfixes and API improvements).

# REPORTING BUG

Report a bug to munro.nosp@m.esj@.nosp@m.us.ib.nosp@m.m.co.nosp@m.m

# COPYRIGHT

Copyright (c) 2009, 2011 IBM Corporation. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html .

# SEE ALSO